"""add weather table

Revision ID: a23968c74480
Revises: c84d54372353
Create Date: 2023-04-03 17:36:07.326296

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'a23968c74480'
down_revision = 'c84d54372353'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('weather',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('place_id', sa.Integer(), nullable=False),
    sa.Column('time', sa.DateTime(), nullable=False),
    sa.Column('temperature', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('temperature_min', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('temperature_max', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('feels_like', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('pressure', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('humidity', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('dew_point', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('clouds', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('rain', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('snow', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('wind_speed', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('wind_deg', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.Column('wind_gust', mysql.DOUBLE(asdecimal=True), nullable=False),
    sa.ForeignKeyConstraint(['place_id'], ['places.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('weather')
    # ### end Alembic commands ###
